# eric3.KdeQt.KQInputDialog

Compatibility module to use the KDE Input Dialog instead of the Qt Input Dialog.

### Classes

None

### Functions

getDouble | Function to get a double value from the user.
getInteger | Function to get an integer value from the user.
getItem | Function to get an item of a list from the user.
getText | Function to get some text from the user.

## getDouble

getDouble(caption, label, value = 0, minValue = -2147483647, maxValue = 2147483647, decimals = 1, parent = None, name = None)

Function to get a double value from the user.

caption
  caption of the dialog
decimals
  maximum number of decimals the value may have
label
  text of the label for the line edit
maxValue
  maximum value the user may choose
minValue
  minimum value the user may choose
name
  name of the dialog
parent
  parent widget of the dialog
value
  initial value of the line edit

Returns:
  tuple of (value, ok). value contains the double entered by the user, ok indicates a valid input.

Up

## getInteger

getInteger(caption, label, value = 0, minValue = -2147483647, maxValue = 2147483647, step = 1, parent = None, name = None)

Function to get an integer value from the user.

caption
  caption of the dialog
label
  text of the label for the line edit
maxValue
  maximal value of the spin box
minValue
  minimal value of the spin box
name
  name of the dialog
parent
  parent widget of the dialog
step
  step size of the spin box
value
  initial value of the spin box

Returns:
  tuple of (value, ok). value contains the integer entered by the user, ok indicates a valid input.

Up

## getItem

getItem(caption, label, slist, current = 0, editable = 1, parent = None, name = None)

Function to get an item of a list from the user.

caption
  caption of the dialog
current
  number of item, that should be selected as a default
editable
  indicates whether the user can input their own text
label
  text of the label for the line edit
name
  name of the dialog
parent
  parent widget of the dialog
slist
  list of strings to select from (QStringList)

Returns:
  tuple of (value, ok). value contains the double entered by the user, ok indicates a valid input.

Up

## getText

getText(caption, label, mode = QLineEdit.Normal, text = None, parent = None, name = None)

Function to get some text from the user.

caption
  caption of the dialog
label
  text of the label for the line edit
mode
  mode of the line edit (ignored)
name
  name of the dialog
parent
  parent widget of the dialog
text
  initial text of the line edit

Returns:
  tuple of (text, ok). text contains the text entered by the user, ok indicates a valid input.

Up